acedSSSetFirst选择集夹点亮显实例

        ads_name ss;        
        //执行预选 好像可以无视PICKSTYLE变量
        if (RTNORM != acedSSGet(_T("I"),NULL,NULL,NULL,ss))
        {
            //预选失败执行手动选择
            if (RTNORM != acedSSGet(NULL,NULL,NULL,NULL,ss))
            {
                return;
            }            
        }        
        Adesk::Int32 nLength=0;
        acedSSLength(ss,&nLength);
        acutPrintf(_T("\n共选择了%d个对象!"),nLength);
        //亮显对象
        acedSSSetFirst(ss,NULL);
        //acedCommand(RTSTR,_T("select"),RTPICKS,ss,RTSTR,_T(""),RTNONE);
        //acedCommand(RTSTR,_T("pselect"),RTPICKS,ss,RTSTR,_T(""),RTNONE);
        acedSSFree(ss);

注:添加命令需要添加  ACRX_CMD_USEPICKSET | ACRX_CMD_REDRAW

转载于:https://www.cnblogs.com/edata/p/10784033.html

已标记关键词 清除标记
表情包
插入表情
评论将由博主筛选后显示,对所有人可见 | 还能输入1000个字符 “速评一下”
©️2020 CSDN 皮肤主题: 编程工作室 设计师:CSDN官方博客 返回首页